Bug 6196 - GRAM2 Test Failures
: GRAM2 Test Failures
Status: RESOLVED FIXED
: GRAM
gt2 Gatekeeper/Jobmanager
: 4.2.0
: Macintosh All
: P3 normal
: 4.2.1
Assigned To:
:
: 4.0.x
:
:
  Show dependency treegraph
 
Reported: 2008-06-30 16:55 by
Modified: 2008-07-18 11:00 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2008-06-30 16:55:38
This test failed and needs investigation.

http://www-unix.mcs.anl.gov/~feller/Globus/technicalStuff/Gram/Testing/ReleaseTests/4.2.0/

# Functionality

    * Pre-WS (performed once per release cycle)
          o globus_gram_client_test

            globus-gram-client-register-test................ok 4/5# Test 5 got:
"Test exited with 8. " (globus-gram-client-register-test.pl at line 64)
            #   Expected: "success"
            #  globus-gram-client-register-test.pl line 64 is:        
ok($errors, 'success');
            globus-gram-client-register-test................FAILED test 5       
                    Failed 1/5 tests, 80.00% okay
------- Comment #1 From 2008-07-16 12:25:42 -------
Seems to be related to the change in CVS here:
http://viewcvs.globus.org/viewcvs.cgi/gram/client/test/globus-gram-client-register-test.pl?r1=1.7&r2=1.8&pathrev=globus_4_2_branch
I'm not sure why Martin added that change, but it causes the tests to not check
for proxy type (limited vs full) which is the point of that particular test
case. 
------- Comment #2 From 2008-07-16 12:29:18 -------
I think that's what you get when you put me on a Gram2 thing.
------- Comment #3 From 2008-07-18 11:00:48 -------
Also found some test failures related to systems without true in /bin and with
group writable / (Mac OS X). Committed test updates to 4.2 branch for 4.2.1,
4.0 branch for 4.0.8 and trunk.